function dashboard_widget (instance, widget) {
    "use strict";

    var widgets = widget;

    widget.DashboardWidget = instance.Widget.extend({
        template: 'DashboardTmpl',
        widgets: [
            {
                title: 'Clientes',
                name: 'CustomerCounterWidget'
            }
        ],
        grid: {},
        start: function () {
            this.$el.find('.grid-stack.dashboard').gridstack({
                animate: true,
            });
            this.grid = this.$el.find('.grid-stack.dashboard').data('gridstack');
            this.renderWidgets();
        },
        renderWidgets: function () {
            // Cliente con Saldo Vencido
            var wExpiredAccount = new widgets.ExpiredAccountCountersWidget(this);
            wExpiredAccount.renderElement();
            wExpiredAccount.start();
            this.grid.addWidget(wExpiredAccount.$el, 0, 0, wExpiredAccount.size.width,  wExpiredAccount.size.height, true);
            // Cliente a Cobrar oi
            var wExpiredAccountNow = new widgets.ExpiredAccountCountersNowWidget(this);
            wExpiredAccountNow.renderElement();
            wExpiredAccountNow.start();
            this.grid.addWidget(wExpiredAccountNow.$el, 0, 0, wExpiredAccountNow.size.width,  wExpiredAccountNow.size.height, true);
            // Cobros de Hoy
            var wVocuherToday = new widgets.VoucherTodayCountersWidget(this);
            wVocuherToday.renderElement();
            wVocuherToday.start();
            this.grid.addWidget(wVocuherToday.$el, 0, 0, wVocuherToday.size.width,  wVocuherToday.size.height, true);
            // Cantidad de Facturas Realizada en el dia
            var wInvoiceToday = new widgets.InvoiceTodayCountersWidget(this);
            wInvoiceToday.renderElement();
            wInvoiceToday.start();
            this.grid.addWidget(wInvoiceToday.$el, 0, 0, wInvoiceToday.size.width,  wInvoiceToday.size.height, true);
            //Ranking de Ventas de Producto por Mes
            var wRankingProduct = new widgets.RankingSalesProductWidget(this);
            wRankingProduct.renderElement();
            wRankingProduct.start();
            this.grid.addWidget(wRankingProduct.$el, 0, 0, wRankingProduct.size.width,  wRankingProduct.size.height, true);
            //Ranking de clientes que mas compra
            var wRankingPartner = new widgets.RankingSalesPartnerWidget(this);
            wRankingPartner.renderElement();
            wRankingPartner.start();
            this.grid.addWidget(wRankingPartner.$el, 0, 0, wRankingPartner.size.width,  wRankingPartner.size.height, true);
            //Gasto por Mes
            var wMonthlyExpenses = new widgets.MonthlyExpensesWidget(this);
            wMonthlyExpenses.renderElement();
            wMonthlyExpenses.start();
            this.grid.addWidget(wMonthlyExpenses.$el, 0, 0, wMonthlyExpenses.size.width,  wMonthlyExpenses.size.height, true);
            //Compras por Mes
            var wMonthlyPurchases = new widgets.MonthlyPurchasesWidget(this);
            wMonthlyPurchases.renderElement();
            wMonthlyPurchases.start();
            this.grid.addWidget(wMonthlyPurchases.$el, 0, 0, wMonthlyPurchases.size.width,  wMonthlyPurchases.size.height, true);
            //Cantidad de Prodcutos Faltantes
            var wMissingProduct = new widgets.MissingProductWidget(this);
            wMissingProduct.renderElement();
            wMissingProduct.start();
            this.grid.addWidget(wMissingProduct.$el, 0, 0, wMissingProduct.size.width,  wMissingProduct.size.height, true);
            // Pagos de  Hoy
            var wPaymentsToday = new widgets.PaymentsTodayCountersWidget(this);
            wPaymentsToday.renderElement();
            wPaymentsToday.start();
            this.grid.addWidget(wPaymentsToday.$el, 0, 0, wPaymentsToday.size.width,  wPaymentsToday.size.height, true);
            //

        }
    });
}
